| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | Protected Member Functions | List of all members
globjects::Referenced Class Reference

Superclass for all classes that use reference counting in globjects. More...

`#include <globjects/include/globjects/base/Referenced.h>`

Inheritance diagram for globjects::Referenced:

## Public Member Functions
| Referenced ()
void | ref () const
void | unref () const
int | refCounter () const
Public Member Functions inherited from globjects::HeapOnly
| HeapOnly ()
void | destroy () const

## Protected Member Functions
virtual | ~Referenced ()
Protected Member Functions inherited from globjects::HeapOnly
virtual | ~HeapOnly ()

## Detailed Description

Superclass for all classes that use reference counting in globjects.

The ref counter can be increased and decreased using ref() and unref(). If the ref counter decreases to zero, the referenced objects is deleted.

Referenced objects should not be copy constructed or assigned.

See also
  ref_ptr

## Constructor & Destructor Documentation

## ◆ Referenced()

globjects::Referenced::Referenced | ( |  | ) |

## ◆ ~Referenced()

virtual globjects::Referenced::~Referenced | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ ref()

void globjects::Referenced::ref | ( |  | ) | const

## ◆ unref()

void globjects::Referenced::unref | ( |  | ) | const

## ◆ refCounter()

int globjects::Referenced::refCounter | ( |  | ) | const

The documentation for this class was generated from the following file:

- Referenced.h